This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 759159 - retrieveBackingContent method on a resource proxy fails immediately
retrieveBackingContent method on a resource proxy fails immediately
Status: NEW
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 09:50 EST by Lukas Krejci
Modified: 2011-12-15 10:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-12-01 09:50:19 EST
Description of problem:

Pick a resource that is backed by content, e.g. a WAR in JBoss AS. Go to its content tab in the GUI and pick one of the content names listed.

var r = ProxyFactory.getResource(resourceId);
var content = r.retrieveBackingContent(contentName);


Similar approach is suggested in our docs (http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/100/html/Running_JON_Command-Line_Scripts/Scripted_Group_Deployments_using_the_CLI_API.html)

Version-Release number of selected component (if applicable):
4.3.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. Run the script from the description with some meaningful data.
  
Actual results:
sun.org.mozilla.javascript.internal.WrappedException: Wrapped javax.ejb.EJBException: [Warning] java.lang.RuntimeException: Unable to retrieve package bits for resource: 12746 and package: 10455 before timeout. 
r.retrieveBackingContent("jmx-console.war") 
^


Expected results:
no exception

Additional info:
Comment 1 Charles Crouch 2011-12-02 08:50:21 EST
This seems at odds with the fix and testing that went into 
https://bugzilla.redhat.com/show_bug.cgi?id=736792

Note You need to log in before you can comment on or make changes to this bug.